
QGIS Application - Bug report #10540

Not all shapefile polygon shapes showing.

2014-06-10 07:39 PM - James Harvey

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 18948

Description

I have recently updated a shape file with polygon areas. I am using rule based styles with about 8 sub query layers. Some of my shapes

show at one closer view setting, but are missing from further out during zooming in and out.

I don't have any scale dependent visible setting on this file to turn off these items so I don't think that is the cause of the problem, but it

does behave like it is with certain view setting showing some of the shape polygons  within that rule based sub layer and other view

settings now showing the missing shapes.

I tried adjusting render order but no change to show the missing shapes.

It looks isolated to just a few shapes within my sublayers.

I am using 2.3 Windows version. I am unsure if it is just a Windows bug, memory related or related to the fact that I have recently edited

this layer even through I have saved my edits.

History

#1 - 2014-06-10 07:53 PM - James Harvey

I tried exporting the layer again to SHP and bringing it back into the project. That showed the missing shapes. I am yet to test this new layer with view

based settings to see if that causes the problem.

#2 - 2014-06-10 08:03 PM - James Harvey

Set a new rule based layer up with just the query that had problems. The shapes all showed ok and displayed in the composer for exporting.

The problem seems to be pointing to a data handling issue where there is something dropping out before the shape gets rendered.

#3 - 2014-06-10 09:46 PM - James Harvey

I reverted the shapefile to a previous version. I don't appear to have the same issues. It must of been something that happened during the editing, but I am

unsure why a shape that I did not edit had trouble showing.

#4 - 2014-06-10 11:59 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Affected QGIS version changed from 2.2.0 to master

- Category set to Digitising

2024-04-28 1/2



likely a duplicate of #10483, please confirm. Thanks!

#5 - 2014-06-11 01:59 PM - James Harvey

Yes looks like it is the same situation. Sorry missed seeing that in my search. Mine is a Win 64 problem as well with Shapefiles.

#6 - 2014-06-12 02:12 AM - Giovanni Manghi

- Resolution set to duplicate

- Status changed from Feedback to Closed
